%define upstream_name    Net-CUPS
%define upstream_version 0.61

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 13

Summary:	Common Unix Printing System Interface
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		perl-Net-CUPS-0.61-fix-build.patch
Patch1:		perl-Net-CUPS-0.61-disable-cups-version-check.patch

BuildRequires:	perl-devel
BuildRequires:	cups-devel
BuildRequires:	perl(Test::More)
BuildRequires:	pkgconfig(libcupsfilters)
BuildRequires:	pkgconfig(openssl)

%{?perl_default_filter}

%description
Net::CUPS is an object oriented interface to the Common Unix Printing
System.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

# those test requires a running cups server
# http://rt.cpan.org/Ticket/Display.html?id=38469
rm -f t/03_destination.t

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc README Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.610.0-13.mga6
+ Revision: 1031008
- Rebuild for perl 5.22.2

* Tue Feb 16 2016 umeabot <umeabot> 0.610.0-12.mga6
+ Revision: 962030
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.610.0-11.mga6
+ Revision: 845043
- rebuild for soname-ifed perl

* Wed Jun 24 2015 guillomovitch <guillomovitch> 0.610.0-10.mga6
+ Revision: 841975
- rebuild for perl 5.22

* Thu Dec 11 2014 sander85 <sander85> 0.610.0-9.mga5
+ Revision: 802746
- Fix build with CUPS 2.0

  + umeabot <umeabot>
    - Rebuild to potentially add missing dependencies
    - Second Mageia 5 Mass Rebuild

  + tv <tv>
    - add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.610.0-8.mga5
+ Revision: 685631
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.610.0-7.mga5
+ Revision: 631463
- Rebuild for perl 5.20

* Fri Dec 20 2013 sander85 <sander85> 0.610.0-6.mga4
+ Revision: 559277
- Fix build (patch from Debian)

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.610.0-5.mga4
+ Revision: 430905
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.610.0-4.mga3
+ Revision: 370508
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.610.0-3.mga3
+ Revision: 250982
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.610.0-2.mga2
+ Revision: 104821
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.610.0-1.mga1
+ Revision: 30889
- mageia rebuild
- imported package perl-Net-CUPS


* Thu Aug 20 2009 Jérôme Quelin <jquelin@mandriva.org> 0.610.0-1mdv2010.0
+ Revision: 418545
- update to 0.61

* Tue Aug 04 2009 Jérôme Quelin <jquelin@mandriva.org> 0.600.0-1mdv2010.0
+ Revision: 408837
- update to 0.60

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.590.0-1mdv2010.0
+ Revision: 404065
- rebuild using %%perl_convert_version

* Fri Sep 05 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.59-1mdv2009.0
+ Revision: 281111
- update to new version 0.59

* Sun Aug 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.58-1mdv2009.0
+ Revision: 277954
- update to new version 0.58

* Thu Aug 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.57-1mdv2009.0
+ Revision: 272041
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

* Wed Apr 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.55-1mdv2009.0
+ Revision: 194693
- import perl-Net-CUPS


* Wed Apr 09 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.55-1mdv2008.1
- initial mdv import
